package com.ajb.car.metadata.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.meta.AgMdCodeType;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgMdCodeTypeService {
	AgMdCodeType save(AgMdCodeType agmdcodetype);
	Boolean delete (Long id);
	AgMdCodeType update(AgMdCodeType agmdcodetype);
	AgMdCodeType findById(Long id);
	Page<AgMdCodeType> findByObjPageable(AgMdCodeType agmdcodetype,Pageable pageable);
	List<AgMdCodeType> findByObjSortable(AgMdCodeType agmdcodetype,Sort sort);
}